Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class NameSpaceEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.NameSpaceEvent

Deprecated. Since BIRT 2.1, there will no such event send by BIRT

    public class NameSpaceEvent

extends NotificationEvent

Indicates that the contents of a name space changed.

Field Summary
`static int` | `ADD` Deprecated. New name is added into some name space.
`static int` | `ELEMENT_RENAMED` Deprecated. The element in namespace is renamed.
`static int` | `REMOVE` Deprecated. Name is removed from some name space.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`NameSpaceEvent(org.eclipse.birt.report.model.core.DesignElement root, int id, org.eclipse.birt.report.model.core.DesignElement element, int theAction)` Deprecated. Constructor.
`NameSpaceEvent(org.eclipse.birt.report.model.core.DesignElement root, int id, int theAction)` Deprecated. Constructor.

Method Summary
`int` | `getAction()` Deprecated. Returns the action which causes this event.
`org.eclipse.birt.report.model.core.DesignElement` | `getElement()` Deprecated. Returns the element whose name is changed for `ELEMENT_RENAMED`.
`int` | `getEventType()` Deprecated. Returns the event type.
`int` | `getNameSpaceID()` Deprecated. Returns the id of the name space that changed.
`boolean` | `isSame(NotificationEvent event)` Deprecated. Compares and justifies whether this event and the given event is the same.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  Deprecated.
  New name is added into some name space.

  See Also:
    Constant Field Values

### REMOVE

    public static final int REMOVE

  Deprecated.
  Name is removed from some name space.

  See Also:
    Constant Field Values

### ELEMENT_RENAMED

    public static final int ELEMENT_RENAMED

  Deprecated.
  The element in namespace is renamed.

  See Also:
    Constant Field Values

Constructor Detail

### NameSpaceEvent

    public NameSpaceEvent(org.eclipse.birt.report.model.core.DesignElement root,
                          int id,
                          int theAction)

  Deprecated.
  Constructor.

  Parameters:
    `root` - the root element
    `id` - the id of the name space that changed
    `theAction` - the action causing this event

### NameSpaceEvent

    public NameSpaceEvent(org.eclipse.birt.report.model.core.DesignElement root,
                          int id,
                          org.eclipse.birt.report.model.core.DesignElement element,
                          int theAction)

  Deprecated.
  Constructor.

  Parameters:
    `root` - the root element
    `id` - the id of the name space that changed
    `element` - the element to modify
    `theAction` - the action causing this event

Method Detail

### getEventType

    public int getEventType()

  Deprecated.
  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### getAction

    public int getAction()

  Deprecated.
  Returns the action which causes this event. The value can be:
  - `ADD`
  - `REMOVE`

  Returns:
    the action causing this event.

### getNameSpaceID

    public int getNameSpaceID()

  Deprecated.
  Returns the id of the name space that changed.

  Returns:
    the id of the name space that changed.

### getElement

    public org.eclipse.birt.report.model.core.DesignElement getElement()

  Deprecated.
  Returns the element whose name is changed for `ELEMENT_RENAMED`. Otherwise, return null.

  Returns:
    Returns the element.

### isSame

    public boolean isSame(NotificationEvent event)

  Deprecated.
  Description copied from class: `NotificationEvent`
  Compares and justifies whether this event and the given event is the same.

  Overrides:
    `isSame` in class `NotificationEvent`
  Parameters:
    `event` - the event to compare
  Returns:
    true if the two events are the same, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.